# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXArrayInteger Class Reference

An array of 64 bits integers, can also have a tag. More...

`#include <VLXValue.hpp>`

Inheritance diagram for vl::VLXArrayInteger:

List of all members.

## Public Member Functions

| VLXArrayInteger (const char *tag=NULL)
virtual void | acceptVisitor (VLXVisitor *v)

## Detailed Description

An array of 64 bits integers, can also have a tag.

Definition at line 132 of file VLXValue.hpp.

## Constructor & Destructor Documentation

vl::VLXArrayInteger::VLXArrayInteger | ( | const char * | tag = `NULL` ) | `[inline]`

Definition at line 137 of file VLXValue.hpp.

## Member Function Documentation

virtual void vl::VLXArrayInteger::acceptVisitor | ( | VLXVisitor * | v ) | `[inline, virtual]`

Implements vl::VLXTaggedValue.

Definition at line 139 of file VLXValue.hpp.

References vl::VLXVisitor::visitArray().

Referenced by vl::VLXVisitorExportToVLT::visitValue(), and vl::VLXVisitorExportToVLB::writeValue().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.